## org.apache.poi.hslf.record
Class TextRulerAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.TextRulerAtom

    public final class TextRulerAtom

extends RecordAtom

Ruler of a text as it differs from the style's ruler settings.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `TextRulerAtom()` Constructs a new empty ruler atom.
`protected` `TextRulerAtom(byte[] source, int start, int len)` Constructs the ruler atom record from its source data.

Method Summary
`int[]` `getBulletOffsets()` First line of paragraph's distance from shape's left margin, in master coordinates (576 dpi).
`int` `getDefaultTabSize()` Default distance between tab stops, in master coordinates (576 dpi).
`int` `getNumberOfLevels()` Number of indent levels (maximum 5).
`static TextRulerAtom` `getParagraphInstance()`
`long` `getRecordType()` Gets the record type.
`int[]` `getTabStops()` Default distance between tab stops, in master coordinates (576 dpi).
`int[]` `getTextOffsets()` Paragraph's distance from shape's left margin, in master coordinates (576 dpi).
`void` `setParagraphIndent(short tetxOffset, short bulletOffset)`
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk.

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextRulerAtom

    public TextRulerAtom()

  Constructs a new empty ruler atom.

### TextRulerAtom

    protected TextRulerAtom(byte[] source,
                            int start,
                            int len)

  Constructs the ruler atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk.

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

### getDefaultTabSize

    public int getDefaultTabSize()

  Default distance between tab stops, in master coordinates (576 dpi).

### getNumberOfLevels

    public int getNumberOfLevels()

  Number of indent levels (maximum 5).

### getTabStops

    public int[] getTabStops()

  Default distance between tab stops, in master coordinates (576 dpi).

### getTextOffsets

    public int[] getTextOffsets()

  Paragraph's distance from shape's left margin, in master coordinates (576 dpi).

### getBulletOffsets

    public int[] getBulletOffsets()

  First line of paragraph's distance from shape's left margin, in master coordinates (576 dpi).

### getParagraphInstance

    public static TextRulerAtom getParagraphInstance()

### setParagraphIndent

    public void setParagraphIndent(short tetxOffset,
                                   short bulletOffset)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.